from gnuradio import gr
from gnuradio.eng_notation import num_to_str, str_to_num
from gnuradio import usrp
from gnuradio import audio
from gnuradio import blks2
from gnuradio.eng_option import eng_option
from optparse import OptionParser
from usrpm import usrp_dbid
import math
import sys
import csv
import time

def my_top_block():
	
	fg = gr.top_block()	
	
	frequency=10e6
	
	file = open("/u/students/jonesharr/Desktop/GNURadio/1000random")
	
	data=[]
	for line in file:
		data.append(complex(line))
		
	u = usrp.sink_c()	
	
        dac_rate = u.dac_rate()                    # 128 MS/s
        usrp_interp = 64                             ##normally 64
        u.set_interp_rate(usrp_interp)
        usrp_rate = dac_rate / usrp_interp
	
        # we're using both daughterboard slots, thus subdev is a 2-tuple
	subdev_spec = (1, 0)
	
	subdev = usrp.selected_subdev(u, subdev_spec)
	
        print "Using TX d'board %s" % (subdev.side_and_name())
	
	#Set the mux
	u.set_mux(usrp.determine_tx_mux_value(u, subdev_spec))
	
	print usrp.determine_tx_mux_value(u, subdev_spec)

        subdev.set_gain(subdev.gain_range()[1])    # set max Tx gain
	
	u.tune(subdev.which(),subdev, frequency)
	
	print subdev.which()

        ##src1 = gr.sig_source_c (usrp_rate, gr.GR_SQR_WAVE, 1000, 1.0,0)
	src1 = gr.vector_source_c (data,True)
	
        # apply some gain
        if_gain = 30000 ##maximum output around 30,000, 700000 for chirp, 7000 for triangle
        ifamp = gr.multiply_const_cc(if_gain)
        
        # and wire them up
        fg.connect(src1,ifamp,u)
	
	file.close()
	
	return fg

if __name__ == '__main__':
	topblock1 = my_top_block()
	##topblock1.start()
	topblock1.run()
	
	##topblock.wait()
	
	#raw_input ('Press enter to quit')
	##topblock1.stop()
	